ports/168339: [patch] sysutils/userspace-rcu update to 0.7.2

Hirohisa Yamaguchi umq at ueo.co.jp
Fri May 25 17:20:05 UTC 2012


>Number:         168339
>Category:       ports
>Synopsis:       [patch] sysutils/userspace-rcu update to 0.7.2
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Fri May 25 17:20:05 UTC 2012
>Closed-Date:
>Last-Modified:
>Originator:     Hirohisa Yamaguchi
>Release:        FreeBSD 9.0-RELEASE amd64
>Organization:
<organization of PR author (multiple lines)>
>Environment:
System: FreeBSD calliope.****.org 9.0-RELEASE FreeBSD 9.0-RELEASE #0: Tue Jan 3 07:46:30 UTC 2012 root at farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC amd64

>Description:
	The new version of sysutils/userspace-rcu 0.7.2 is available

	Release announcement: http://lists.lttng.org/pipermail/lttng-dev/2012-May/017975.html
>How-To-Repeat:
	N/A
>Fix:

	The patch follows:


diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/Makefile ports/sysutils/userspace-rcu/Makefile
--- ports.org/sysutils/userspace-rcu/Makefile	2012-03-07 05:35:34.000000000 +0900
+++ ports/sysutils/userspace-rcu/Makefile	2012-05-26 00:23:57.000000000 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	userspace-rcu
-PORTVERSION=	0.6.4
+PORTVERSION=	0.7.2
 CATEGORIES=	sysutils
 MASTER_SITES=	http://lttng.org/files/urcu/
 
@@ -14,14 +14,36 @@ MAINTAINER=	freebsd at dns-lab.com
 COMMENT=	A read-copy-update data synchronization library
 
 LICENSE=	LGPL21
+LICENSE_FILE=	${WRKSRC}/LICENSE
 
+OPTIONS=	UNIPROCESSOR "Disable SMP support" off
+
+GNU_CONFIGURE=	yes
+MAKE_ARGS+=	pkgconfigdir="${PREFIX}/libdata/pkgconfig"
+MAKE_JOBS_SAFE=	yes
 USE_BZIP2=	yes
-HAS_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
-post-patch:
-	@${REINPLACE_CMD} \
-		-e 's,^\(pkgconfigdir = \).(libdir),\1${PREFIX}/libdata,' \
-		${WRKSRC}/Makefile.in
+PORTDOCS=	ChangeLog README cds-api.txt rcu-api.txt uatomic-api.txt
+
+pre-configure:
+.if defined(NOPORTDOCS)
+	${REINPLACE_CMD} -e '/^SUBDIRS /s/ doc//' \
+			-e '/^install-data-am: /s/ install-dist_docDATA//' ${WRKSRC}/Makefile.in
+.endif
+
+regression-test: build
+	${DO_NADA}
+#	cd ${WRKSRC}; ${MAKE} check
+
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 802514
+EXTRA_PATCHES+=	${FILESDIR}/extrapatch-rculfhash-mm-mmap.c
+.endif
+
+.if defined(WITH_UNIPROCESSOR)
+CONFIGURE_ARGS+=	--disable-smp-support
+.endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/distinfo ports/sysutils/userspace-rcu/distinfo
--- ports.org/sysutils/userspace-rcu/distinfo	2012-03-07 05:35:34.000000000 +0900
+++ ports/sysutils/userspace-rcu/distinfo	2012-05-26 00:24:03.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (userspace-rcu-0.6.4.tar.bz2) = 2914637c60027ea52974aa7fa8ee7f2a3a0067502bbaebe01de14d6988aa8882
-SIZE (userspace-rcu-0.6.4.tar.bz2) = 325414
+SHA256 (userspace-rcu-0.7.2.tar.bz2) = 1e9d70bcf5f552ebf47dec67ac94d998389863375974a1a6bfa833e669b12950
+SIZE (userspace-rcu-0.7.2.tar.bz2) = 385386
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/extrapatch-rculfhash-mm-mmap.c ports/sysutils/userspace-rcu/files/extrapatch-rculfhash-mm-mmap.c
--- ports.org/sysutils/userspace-rcu/files/extrapatch-rculfhash-mm-mmap.c	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/extrapatch-rculfhash-mm-mmap.c	2012-05-25 23:49:33.000000000 +0900
@@ -0,0 +1,13 @@
+--- ./rculfhash-mm-mmap.c.orig	2012-03-05 05:20:58.000000000 +0900
++++ ./rculfhash-mm-mmap.c	2012-05-25 16:58:11.000000000 +0900
+@@ -24,6 +24,10 @@
+ #include <sys/mman.h>
+ #include "rculfhash-internal.h"
+ 
++#ifndef MAP_ANONYMOUS
++#define MAP_ANONYMOUS MAP_ANON
++#endif
++
+ /* reserve inaccessible memory space without allocation any memory */
+ static void *memory_map(size_t length)
+ {
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runall.sh ports/sysutils/userspace-rcu/files/patch-tests_runall.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runall.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runall.sh	2012-03-25 00:34:41.000000000 +0900
@@ -0,0 +1,73 @@
+--- ./tests/runall.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/runall.sh	2012-03-16 18:44:14.000000000 +0900
+@@ -3,7 +3,7 @@
+ #run all tests
+ 
+ #set to number of active CPUS
+-NUM_CPUS=8
++NUM_CPUS=$(sysctl -n kern.smp.cpus)
+ 
+ #extra options, e.g. for setting affinity on even CPUs :
+ #EXTRA_OPTS=$(for a in $(seq 0 2 127); do echo -n "-a ${a} "; done)
+@@ -37,14 +37,19 @@
+ 
+ rm -f batch-rcu.log
+ 
++exec 3>&1
+ NR_READERS=$((${NUM_CPUS} - ${NR_WRITERS}))
+ for BATCH_SIZE in ${BATCH_ARRAY}; do
+ 	echo "./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} | tee -a batch-rcu.log" >> runall.log
+-	./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} | tee -a batch-rcu.log
++	STATUS=$({ {\
++		./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a batch-rcu.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ #setting gc each 32768. ** UPDATE FOR YOUR ARCHITECTURE BASED ON TEST ABOVE **
+-EXTRA_OPTS+="-b 32768"
++EXTRA_OPTS="${EXTRA_OPTS}-b 32768"
+ 
+ echo Executing update fraction test
+ 
+@@ -59,7 +64,11 @@
+ NR_READERS=$((${NUM_CPUS} - ${NR_WRITERS}))
+ for WDELAY in ${WDELAY_ARRAY}; do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} | tee -a update-fraction.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} | tee -a update-fraction.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a update-fraction.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ #Test scalability :
+@@ -74,9 +83,13 @@
+ 
+ rm -f scalability.log
+ 
+-for NR_READERS in $(seq 1 ${NUM_CPUS}); do
++for NR_READERS in $(jot ${NUM_CPUS}); do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS}| tee -a scalability.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS}| tee -a scalability.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a scalability.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ 
+@@ -97,5 +110,9 @@
+ 
+ for READERCSLEN in ${READERCSLEN_ARRAY}; do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -c ${READERCSLEN} | tee -a readercslen.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -c ${READERCSLEN} | tee -a readercslen.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -c ${READERCSLEN} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a readercslen.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase1.sh ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase1.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase1.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase1.sh	2012-03-17 00:10:20.000000000 +0900
@@ -0,0 +1,30 @@
+--- ./tests/runpaul-phase1.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/runpaul-phase1.sh	2012-03-16 18:46:32.000000000 +0900
+@@ -3,10 +3,10 @@
+ #run all tests
+ 
+ #set to number of active CPUS
+-NUM_CPUS=64
++NUM_CPUS=$(sysctl -n kern.smp.cpus)
+ 
+ #extra options, e.g. for setting affinity on even CPUs :
+-EXTRA_OPTS=$(for a in $(seq 0 2 127); do echo -n "-a ${a} "; done)
++EXTRA_OPTS=$(for a in $(jot 64 0 112); do echo -n "-a ${a} "; done)
+ 
+ #ppc64 striding, use with NUM_CPUS=8
+ 
+@@ -37,8 +37,13 @@
+ 
+ rm -f batch-rcu.log
+ 
++exec 3>&1
+ NR_READERS=$((${NUM_CPUS} - ${NR_WRITERS}))
+ for BATCH_SIZE in ${BATCH_ARRAY}; do
+ 	echo "./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} | tee -a batch-rcu.log" >> runall.log
+-	./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} | tee -a batch-rcu.log
++	STATUS=$({ {\
++		./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a batch-rcu.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase2.sh ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase2.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase2.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase2.sh	2012-03-25 00:34:41.000000000 +0900
@@ -0,0 +1,39 @@
+--- ./tests/runpaul-phase2.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/runpaul-phase2.sh	2012-03-16 18:46:11.000000000 +0900
+@@ -3,10 +3,10 @@
+ #run all tests
+ 
+ #set to number of active CPUS
+-NUM_CPUS=64
++NUM_CPUS=$(sysctl -n kern.smp.cpus)
+ 
+ #extra options, e.g. for setting affinity on even CPUs :
+-EXTRA_OPTS=$(for a in $(seq 0 2 127); do echo -n "-a ${a} "; done)
++EXTRA_OPTS=$(for a in $(jot 64 0 112); do echo -n "-a ${a} "; done)
+ 
+ #ppc64 striding, use with NUM_CPUS=8
+ 
+@@ -28,7 +28,7 @@
+ rm -fr runall.detail.log
+ 
+ #setting gc each 32768. ** UPDATE FOR YOUR ARCHITECTURE BASED ON PHASE 1 RESULT **
+-EXTRA_OPTS+="-b 32768"
++EXTRA_OPTS="${EXTRA_OPTS}-b 32768"
+ 
+ echo Executing update fraction test
+ 
+@@ -40,8 +40,13 @@
+ 
+ rm -f update-fraction.log
+ 
++exec 3>&1
+ NR_READERS=$((${NUM_CPUS} - ${NR_WRITERS}))
+ for WDELAY in ${WDELAY_ARRAY}; do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} | tee -a update-fraction.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} | tee -a update-fraction.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a update-fraction.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase3.sh ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase3.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase3.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase3.sh	2012-03-25 00:34:41.000000000 +0900
@@ -0,0 +1,41 @@
+--- ./tests/runpaul-phase3.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/runpaul-phase3.sh	2012-03-16 18:45:47.000000000 +0900
+@@ -3,10 +3,10 @@
+ #run all tests
+ 
+ #set to number of active CPUS
+-NUM_CPUS=64
++NUM_CPUS=$(sysctl -n kern.smp.cpus)
+ 
+ #extra options, e.g. for setting affinity on even CPUs :
+-EXTRA_OPTS=$(for a in $(seq 0 2 127); do echo -n "-a ${a} "; done)
++EXTRA_OPTS=$(for a in $(jot 64 0 112); do echo -n "-a ${a} "; done)
+ 
+ #ppc64 striding, use with NUM_CPUS=8
+ 
+@@ -28,7 +28,7 @@
+ rm -fr runall.detail.log
+ 
+ #setting gc each 32768. ** UPDATE FOR YOUR ARCHITECTURE BASED ON PHASE 1 RESULT **
+-EXTRA_OPTS+="-b 32768"
++EXTRA_OPTS="${EXTRA_OPTS}-b 32768"
+ 
+ #Test scalability :
+ # x: vary number of readers from 0 to num cpus
+@@ -42,9 +42,14 @@
+ 
+ rm -f scalability.log
+ 
+-for NR_READERS in $(seq 1 ${NUM_CPUS}); do
++exec 3>&1
++for NR_READERS in $(jot ${NUM_CPUS}); do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS}| tee -a scalability.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS}| tee -a scalability.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a scalability.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ 
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase4.sh ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase4.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase4.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase4.sh	2012-02-27 23:35:05.000000000 +0900
@@ -0,0 +1,44 @@
+--- ./tests/runpaul-phase4.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/runpaul-phase4.sh	2012-02-27 17:51:45.000000000 +0900
+@@ -3,7 +3,7 @@
+ #run all tests
+ 
+ #set to number of active CPUS
+-export NUM_CPUS=8
++export NUM_CPUS=$(sysctl -n kern.smp.cpus)
+ 
+ #extra options, e.g. for setting affinity on even CPUs :
+ #EXTRA_OPTS=$(for a in $(seq 0 2 127); do echo -n "-a ${a} "; done)
+@@ -13,28 +13,28 @@
+ rm -f *.log
+ 
+ #stride 1
+-export EXTRA_OPTS=$(for a in $(seq 0 2 15); do echo -n "-a ${a} "; done)
++export EXTRA_OPTS=$(for a in $(jot 8 0 14); do echo -n "-a ${a} "; done)
+ sh subphase4.sh $*
+ mkdir ppc64-8cores-stride1
+ mv *.log ppc64-8cores-stride1/
+ 
+ 
+ #stride 2
+-export EXTRA_OPTS=$(for a in $(seq 0 4 31); do echo -n "-a ${a} "; done)
++export EXTRA_OPTS=$(for a in $(jot 8 0 28); do echo -n "-a ${a} "; done)
+ sh subphase4.sh $*
+ mkdir ppc64-8cores-stride2
+ mv *.log ppc64-8cores-stride2/
+ 
+ 
+ #stride 4
+-export EXTRA_OPTS=$(for a in $(seq 0 8 63); do echo -n "-a ${a} "; done)
++export EXTRA_OPTS=$(for a in $(jot 8 0 56); do echo -n "-a ${a} "; done)
+ sh subphase4.sh $*
+ mkdir ppc64-8cores-stride4
+ mv *.log ppc64-8cores-stride4/
+ 
+ 
+ #stride 8
+-export EXTRA_OPTS=$(for a in $(seq 0 16 127); do echo -n "-a ${a} "; done)
++export EXTRA_OPTS=$(for a in $(jot 8 0 112); do echo -n "-a ${a} "; done)
+ sh subphase4.sh $*
+ mkdir ppc64-8cores-stride8
+ mv *.log ppc64-8cores-stride8/
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase7.sh ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase7.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runpaul-phase7.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runpaul-phase7.sh	2012-03-17 00:10:20.000000000 +0900
@@ -0,0 +1,32 @@
+--- ./tests/runpaul-phase7.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/runpaul-phase7.sh	2012-03-16 18:44:54.000000000 +0900
+@@ -3,11 +3,11 @@
+ #run all tests
+ 
+ #set to number of active CPUS
+-export NUM_CPUS=64
++export NUM_CPUS=$(sysctl -n kern.smp.cpus)
+ #export NUM_CPUS=8
+ 
+ #extra options, e.g. for setting affinity on even CPUs :
+-EXTRA_OPTS=$(for a in $(seq 0 2 127); do echo -n "-a ${a} "; done)
++EXTRA_OPTS=$(for a in $(jot 64 0 112); do echo -n "-a ${a} "; done)
+ #EXTRA_OPTS=$(for a in $(seq 0 1 7); do echo -n "-a ${a} "; done)
+ 
+ rm -f *.log
+@@ -28,9 +28,14 @@
+ 
+ rm -f writercslen.log
+ 
++exec 3>&1
+ for WRITERCSLEN in ${WRITERCSLEN_ARRAY}; do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -d ${WDELAY} -e ${WRITERCSLEN} | tee -a writercslen.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -d ${WDELAY} -e ${WRITERCSLEN} | tee -a writercslen.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -d ${WDELAY} -e ${WRITERCSLEN} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a writercslen.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ 
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runtests-batch.sh ports/sysutils/userspace-rcu/files/patch-tests_runtests-batch.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runtests-batch.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runtests-batch.sh	2012-05-25 23:49:33.000000000 +0900
@@ -0,0 +1,10 @@
+--- ./tests/runtests-batch.sh.orig	2011-11-02 09:15:09.000000000 +0900
++++ ./tests/runtests-batch.sh	2012-03-16 18:32:52.000000000 +0900
+@@ -3,6 +3,6 @@
+ #for a in test_urcu_gc test_urcu_gc_mb test_urcu_qsbr_gc; do
+ for a in test_urcu_gc; do
+ 	echo "./${a} $*" | tee -a runall.detail.log
+-	/usr/bin/time --append --output runall.detail.log ./${a} $*
++	/usr/bin/time -a -o runall.detail.log ./${a} $*
+ done
+ 
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_runtests.sh ports/sysutils/userspace-rcu/files/patch-tests_runtests.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_runtests.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_runtests.sh	2012-05-25 23:49:33.000000000 +0900
@@ -0,0 +1,10 @@
+--- ./tests/runtests.sh.orig	2011-11-02 09:15:09.000000000 +0900
++++ ./tests/runtests.sh	2012-03-16 18:32:52.000000000 +0900
+@@ -5,6 +5,6 @@
+ 	test_urcu test_urcu_signal test_urcu_mb test_urcu_qsbr \
+ 	test_rwlock test_perthreadlock test_mutex; do
+ 	echo "./${a} $*" | tee -a runall.detail.log
+-	/usr/bin/time --append --output runall.detail.log ./${a} $*
++	/usr/bin/time -a -o runall.detail.log ./${a} $*
+ done
+ 
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/files/patch-tests_subphase4.sh ports/sysutils/userspace-rcu/files/patch-tests_subphase4.sh
--- ports.org/sysutils/userspace-rcu/files/patch-tests_subphase4.sh	1970-01-01 09:00:00.000000000 +0900
+++ ports/sysutils/userspace-rcu/files/patch-tests_subphase4.sh	2012-03-25 00:34:41.000000000 +0900
@@ -0,0 +1,64 @@
+--- ./tests/subphase4.sh.orig	2011-09-06 04:24:55.000000000 +0900
++++ ./tests/subphase4.sh	2012-03-16 18:43:10.000000000 +0900
+@@ -37,14 +37,19 @@
+ 
+ rm -f batch-rcu.log
+ 
++exec 3>&1
+ NR_READERS=$((${NUM_CPUS} - ${NR_WRITERS}))
+ for BATCH_SIZE in ${BATCH_ARRAY}; do
+ 	echo "./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} | tee -a batch-rcu.log" >> runall.log
+-	./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} | tee -a batch-rcu.log
++	STATUS=$({ {\
++		./runtests-batch.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d 0 -b ${BATCH_SIZE} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a batch-rcu.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ #setting gc each 4096. ** UPDATE FOR YOUR ARCHITECTURE BASED ON TEST ABOVE **
+-EXTRA_OPTS+="-b 32768"
++EXTRA_OPTS="${EXTRA_OPTS}-b 32768"
+ 
+ echo Executing update fraction test
+ 
+@@ -59,7 +64,11 @@
+ NR_READERS=$((${NUM_CPUS} - ${NR_WRITERS}))
+ for WDELAY in ${WDELAY_ARRAY}; do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} | tee -a update-fraction.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} | tee -a update-fraction.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} -d ${WDELAY} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a update-fraction.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ #Test scalability :
+@@ -74,9 +83,13 @@
+ 
+ rm -f scalability.log
+ 
+-for NR_READERS in $(seq 1 ${NUM_CPUS}); do
++for NR_READERS in $(jot ${NUM_CPUS}); do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS}| tee -a scalability.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS}| tee -a scalability.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a scalability.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
+ 
+ 
+@@ -97,5 +110,9 @@
+ 
+ for READERCSLEN in ${READERCSLEN_ARRAY}; do
+ 	echo "./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -c ${READERCSLEN} | tee -a readercslen.log" >> runall.log
+-	./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -c ${READERCSLEN} | tee -a readercslen.log
++	STATUS=$({ {\
++		./runtests.sh ${NR_READERS} ${NR_WRITERS} ${DURATION} ${EXTRA_OPTS} -c ${READERCSLEN} \
++		3>&- 4>&-; echo $? 1>&4 3>&- 4>&-;} \
++		| tee -a readercslen.log 1>&3 3>&- 4>&-;} 4>&1)
++	if [ $STATUS != 0 ]; then exit 1; fi
+ done
diff --exclude=work -Nrpu ports.org/sysutils/userspace-rcu/pkg-plist ports/sysutils/userspace-rcu/pkg-plist
--- ports.org/sysutils/userspace-rcu/pkg-plist	2012-03-18 06:46:26.000000000 +0900
+++ ports/sysutils/userspace-rcu/pkg-plist	2012-05-25 23:49:33.000000000 +0900
@@ -1,41 +1,45 @@
-include/urcu/urcu_ref.h
+ at comment $FreeBSD$
+include/urcu-bp.h
+include/urcu-call-rcu.h
+include/urcu-defer.h
+include/urcu-flavor.h
+include/urcu-pointer.h
+include/urcu-qsbr.h
+include/urcu.h
+include/urcu/arch.h
+include/urcu/arch/generic.h
+include/urcu/cds.h
+include/urcu/compiler.h
 include/urcu/config.h
-include/urcu/uatomic/generic.h
-include/urcu/static/urcu-bp.h
+include/urcu/futex.h
+include/urcu/hlist.h
+include/urcu/list.h
+include/urcu/map/urcu-bp.h
+include/urcu/map/urcu-qsbr.h
+include/urcu/map/urcu.h
+include/urcu/rcuhlist.h
+include/urcu/rculfhash.h
+include/urcu/rculfqueue.h
+include/urcu/rculfstack.h
+include/urcu/rculist.h
+include/urcu/ref.h
 include/urcu/static/rculfqueue.h
-include/urcu/static/urcu.h
-include/urcu/static/urcu-qsbr.h
 include/urcu/static/rculfstack.h
+include/urcu/static/urcu-bp.h
+include/urcu/static/urcu-pointer.h
+include/urcu/static/urcu-qsbr.h
+include/urcu/static/urcu.h
 include/urcu/static/wfqueue.h
 include/urcu/static/wfstack.h
-include/urcu/static/urcu-pointer.h
-include/urcu/futex.h
 include/urcu/system.h
-include/urcu/ref.h
-include/urcu/wfqueue.h
-include/urcu/arch/generic.h
-include/urcu/cds.h
-include/urcu/wfstack.h
-include/urcu/compiler.h
-include/urcu/list.h
+include/urcu/tls-compat.h
+include/urcu/uatomic.h
+include/urcu/uatomic/generic.h
 include/urcu/uatomic_arch.h
-include/urcu/hlist.h
 include/urcu/urcu-futex.h
-include/urcu/rcuhlist.h
-include/urcu/rculfstack.h
-include/urcu/uatomic.h
-include/urcu/rculfqueue.h
-include/urcu/rculist.h
-include/urcu/map/urcu-qsbr.h
-include/urcu/map/urcu.h
-include/urcu/map/urcu-bp.h
-include/urcu/arch.h
-include/urcu-bp.h
-include/urcu-call-rcu.h
-include/urcu-defer.h
-include/urcu-pointer.h
-include/urcu-qsbr.h
-include/urcu.h
+include/urcu/urcu_ref.h
+include/urcu/wfqueue.h
+include/urcu/wfstack.h
 lib/liburcu-bp.a
 lib/liburcu-bp.la
 lib/liburcu-bp.so
@@ -44,6 +48,10 @@ lib/liburcu-cds.a
 lib/liburcu-cds.la
 lib/liburcu-cds.so
 lib/liburcu-cds.so.1
+lib/liburcu-common.a
+lib/liburcu-common.la
+lib/liburcu-common.so
+lib/liburcu-common.so.1
 lib/liburcu-mb.a
 lib/liburcu-mb.la
 lib/liburcu-mb.so
@@ -60,12 +68,12 @@ lib/liburcu.a
 lib/liburcu.la
 lib/liburcu.so
 lib/liburcu.so.1
-libdata/pkgconfig/liburcu-signal.pc
-libdata/pkgconfig/liburcu-qsbr.pc
-libdata/pkgconfig/liburcu.pc
-libdata/pkgconfig/liburcu-mb.pc
 libdata/pkgconfig/liburcu-bp.pc
 libdata/pkgconfig/liburcu-cds.pc
+libdata/pkgconfig/liburcu-mb.pc
+libdata/pkgconfig/liburcu-qsbr.pc
+libdata/pkgconfig/liburcu-signal.pc
+libdata/pkgconfig/liburcu.pc
 @dirrm include/urcu/uatomic
 @dirrm include/urcu/static
 @dirrm include/urcu/map
>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list